Subject: bug#15682: 24.3.50; `:link' in `defgroup' does not respect `mouse-1-click-follows-link'

From: Drew Adams <[email-masked]>
Date: Wed, 27 Apr 2016 09:24:34 -0700 (PDT)

> I've had another peek at this, 

Thanks for looking into it.

> but the main problem is that I don't quite understand why the
> Widget code is so...  complicated.

I sympathize, and I agree that is difficult to fathom.
Can't help with the understanding, however.

> Why does it do all the stuff below?  I mean, no other modes
> that react to mouse clicks need to ... do all that...

Dunno.  But just because the code can be difficult to follow
is not a reason to assume that it does unnecessary things, in
general.  The widget code that I've been able to follow does
DTRT, generally (AFAICT).

I doubt that anyone left understands the widget code well.
Maybe you can find Per Abrahamsen and get him to take a look?
The URLs for him listed here are dead, but maybe looking here
would be a start: https://www.emacswiki.org/emacs/PerAbrahamsen.